# Class RefactoringChangeDescriptor

java.lang.Object
org.eclipse.ltk.core.refactoring.ChangeDescriptor
org.eclipse.ltk.core.refactoring.RefactoringChangeDescriptor

public class RefactoringChangeDescriptor extends ChangeDescriptor
A `RefactoringChangeDescriptor` describes changes created by a refactoring. Changes created by a refactoring should provide an appropriate refactoring change descriptor, which allows to completely reconstruct the particular refactoring instance from the encapsulated refactoring descriptor.

Note: this class is not intended to be subclassed by clients.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`RefactoringChangeDescriptor(RefactoringDescriptor descriptor)`
Creates the `RefactoringChangeDescriptor` with the `RefactoringDescriptor` that originated the change.

## Method Summary

Modifier and Type
Method
Description
`RefactoringDescriptor`
`getRefactoringDescriptor()`
Returns the `RefactoringDescriptor` that originated the change.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RefactoringChangeDescriptor

public RefactoringChangeDescriptor(RefactoringDescriptor descriptor)
Creates the `RefactoringChangeDescriptor` with the `RefactoringDescriptor` that originated the change.

Parameters:
  `descriptor` - the `RefactoringDescriptor` that originated the change.

## Method Details

### getRefactoringDescriptor

public RefactoringDescriptor getRefactoringDescriptor()
Returns the `RefactoringDescriptor` that originated the change.

Returns:
  the `RefactoringDescriptor` that originated the change.